# Generated from lib-cml-1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lib-cml

Name: rubygem-%{gem_name}
Version: 1.1
Release: 1%{?dist}
Summary: COMMOM MESSAGIN LAYER in ruby for any communication system
License: Prashanth C
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(ffi-rzmq)
BuildArch: noarch

%description
Common Messaging Layer [CML] is mostly useful for establishing a stable,secure
communication channel using ZMQ sockets behind. Additonally, it uses open-ssl
for secure channels. It linux kernel independent, can be run on any machine
implementing between any entities starting from linux upstart jobs to python
application services. Its fast and easy to integrate with any of your code.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.1-1
- Initial package
